Subject: Re: Addition to "advice to trust" part of agenda: Submission procedures for IETF contributions

From: "Frank Ellermann" <[email-masked]>
Date: Sat, 1 Dec 2007 17:38:19 +0100

Brian E Carpenter wrote:

> You'll have to work hard to convince me that we need
> anything more than clicking through a page like these:
 
> http://www.ietf.org/maillist.html
> http://www3.ietf.org/meetings/70-notewell.html
 
> (Such a page should probably be inserted in the
> I-D submission tool.)

And in the challenge sent by mailing lists to new
subscribers (or similar confirmation procedures).
Or in welcome messages, whatever is available.

Ditto in the not yet existing challenge for errata
submitted with the new Web form, folks stumbling
over errors in RFCs might have no idea what the
IETF is, let alone how it defines "contribution".

What about submissions of interoperability reports,
IPR notes, and appeals ?  I've no idea how somebody
could manage to file an appeal without ever reading
"note well" before, and I've no idea how IPR notes
could be affected by a "note well" (but if they are
ever affected it's likely critical).

For "interoperabilty reports" it might be remotely 
relevant that they can be evaluated as contributions.

For IONs it would be better if they exist as ordinary
Internet Drafts (implicitly "note well") before they
go to the repository of approved IONs, but while it's
still an experiment that's not (yet) relevant, besides
proposing an ION without knowing "note well" is likely
another case of ternary bits.

For the various Wikis maybe the "tools team" could
arrange a "note well" link in one of the Wiki layout
templates (if it doesn't exist yet). 

 Frank

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg